Subject: Re: [PATCH 1/2] Add MPC52xx Interrupt controller support for ARCH=powerpc

From: Nicolas DET <[email-masked]>
Date: Tue, 31 Oct 2006 10:08:55 +0100 (MET)

Benjamin Herrenschmidt wrote:
> On Tue, 2006-10-31 at 09:25 +0100, Nicolas DET wrote:
> 
>> Ok. By the way, the mbar is include as property in our OpenFrimware. 
>> Moreover, the G2CORE CPU has a new SPR 'MBAR' which is the MBAR ;-). It 
>> would maybe make sense to create a new file 
>> (arch/powerpc/sysdev/mpc52xx.c) which would contain chip specific code.
>>
>> Like mpc52xx_get_mbar(), mpc52xx_get_ipbfreq(), etc...
>>
>> I updated a bit the patches. I applied Dale requests.
>> My kernel still compiles and boots. ;-)
>>
>> Should I post the new patches?
> 
> Sure.
> 

Ok. Should be done this morning.

>> About the headers thingy. Should I split them directly in the patch, or 
>> this should be done by others later on?
> 
> Don't bother that much about splitting the headers. I personally don't
> mind.
> 

Ok. so I keep everything in include/asm-powerpc/mpc52xx.h for now.

>> About the serials and USB part. Have anyone already do some work (moving 
>> to of_platform, etc...)?
> 
> I think Grant has.
> 

Ok.

>> As far as I see, the Efika platform patch did not get any comment, 
>> should I assume it is good enough for inclusion in the main stream kernel?
> 
> It looked ok at a very very quick glance. I'll give a better look.
> 

Ok.

Regards,